import 'package:baligh_dashboard/constants/theme.dart';
import 'package:baligh_dashboard/firebase_options.dart';
import 'package:baligh_dashboard/screens/login_screen.dart';
import 'package:bot_toast/bot_toast.dart';
import 'package:firebase_core/firebase_core.dart';
import 'package:flutter/material.dart';

void main() async {
  WidgetsFlutterBinding.ensureInitialized();

  await Firebase.initializeApp(
    options: DefaultFirebaseOptions.currentPlatform,
  );

  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'بلغ',
      debugShowCheckedModeBanner: false,
      theme: MyCustomTheme.theme,
      locale: const Locale("ar"),
      builder: BotToastInit(),
      home: const LoginScreen(),
    );
  }
}

